Loading...
Searching...
No Matches
un.h File Reference

Partie 1 de la SAE 1.02. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | identificationCandidat (int *id, ListeCandidats *listePointer, int *nbCandidats)
| Propose à l'utilisateur de se connecter avec son id ou de créer son compte étudiant. Appelle la fonction créerCandidat si l'utilisateur veut s'enregistrer. More...
void | titreMenuPrincipal (void)
| Affiche le titre "RECRUTEMENT IUT". More...
void | menuCandidat (VilleIUT **tiutPointer, ListeCandidats *listePointer, int nbVilles, int *nbCandidats)
| Affiche le menu des candidats et permet l'appel des fonctions suivant le choix de l'utilisateur. More...
void | menuResponsable (VilleIUT **tiut, ListeCandidats liste, int nbVilles, int nbCandidats)
| Affiche le menu des responsables et permet l'appel des fonctions suivant le choix de l'utilisateur. More...
void | menuAdmin (VilleIUT ***tiutPointer, ListeCandidats liste, int *nbVilles, int nbCandidats)
| Affiche le menu des administrateurs et permet l'appel des fonctions suivant le choix de l'utilisateur. More...
void | menuPrincipal (void)
| Affiche le menu principal et permet l'appel des menus candidats/administrateurs/responsables suivant le choix de l'utilisateur. More...
void | menuAdmin_modifierPlaces (VilleIUT **tiut, int nbVilles)
| Fonction permettant à l'administrateur de changer le nombre de places disponibles dans une formation. More...
void | menuAdmin_creerIUT (VilleIUT ***tiutPointer, int *nbVilles)
| BONUS: Fonction permettant à l'utilisateur administrateur de créer un nouvel IUT. More...
void | menuAdmin_creerDepartement (VilleIUT **tiut, int nbVilles)
| Fonction permettant à l'utilisateur administrateur de créer un nouveau département. More...
void | menuAdmin_supprimerDepartement (VilleIUT **tiut, int nbVilles)
| Fonction permettant à l'utilisateur administrateur de supprimer un département existant. More...
void | menuAdmin_modifierResponsable (VilleIUT **tiut, int nbVilles)
| Fonction permettant à l'utilisateur administrateur de modifier le nom d'un responsable d'un département. More...
VilleIUT * | creerVille (void)
| BONUS: Alloue de la memoire de la taille d'une structure VilleIUT avec un malloc. More...
void | ajouterVille (VilleIUT ***tiutPointer, VilleIUT *ville, int *nbVilles)
| BONUS: ajoute l'adresse d'une ville dans le tableau tiut contenue à l'adresse tiutPointer. On passe en paramètre tiutPointer parce que le realloc peut changer l'adresse mémoire du tableau. More...
int | rechercherVille (VilleIUT **tiut, int nbVilles, char *searchIUT)
| Fonction de recherche pour trouver la position de la ville recherchée dans le tableau tiut. More...
void | afficherListeVilles (VilleIUT **tiut, int nbVilles)
| Affiche la liste des villes ayant un IUT. More...
ListeDept | creerListeDepartement (void)
| Créer une liste vide. More...
int | afficherListeDepartement (VilleIUT **tiut, int nbVilles, char *searchIUT)
| Affiche la liste des différents départements disponible dans une ville recherchée et le nombre de places dans la formation. More...
void | afficherDepartement (VilleIUT **tiut, int nbVilles, char *searchDept)
| Affiche la liste des IUT comprenant un département recherché par l'utilisateur. More...
MaillonDept * | creerDepartement (char *departement, int nbP, char *responsable)
| Alloue de la memoire de la taille d'une structure MaillonDept avec un malloc. More...
ListeDept | ajouterDepartement (ListeDept ldept, MaillonDept *dept)
| Ajoute un département dans la liste chaînée des départements d'une ville. More...
ListeDept | supprimerDepartement (ListeDept ldept, char *searchDept)
| Supprime le département dans une ville choisie par l'utilisateur. More...
void | modifierNbPlaces (VilleIUT **tiut, int nbVilles, char *searchIUT, char *searchDept, int nb)
| Modifie le nombre de place d'une formation. More...
void | modifierNomResponsable (VilleIUT **tiut, int nbVilles, char *searchIUT, char *searchDept, char *nom)
| Modifie le nom du responsable d'une formation. More...
void | saveVilles (VilleIUT *tiut[], int nbVilles)
| Enregistre les modifications apportées aux structures de données dans le fichier binaire ville.bin. More...
VilleIUT ** | readVilles (int *nbVilles)
| Lit le fichier binaire ville.bin et retourne le tableau tiut avec les structures de données et les données du fichier dans ce tableau. More...

## Detailed Description

Partie 1 de la SAE 1.02.

Author
  GOIGOUX Lucie & JEUDI–LEMOINE Alix

Date
  22/12/22

Application de gestion des candidature dans les IUT de France

Definition in file un.h.

## Function Documentation

## afficherDepartement()

void afficherDepartement | ( | VilleIUT ** | tiut,
|  | int | nbVilles,
|  | char * | searchDept
| ) |  |

Affiche la liste des IUT comprenant un département recherché par l'utilisateur.

Parameters

  tiut | Tableau de pointeur sur la structure VilleIUT
  nbVilles | Nombre de villes dans le tableau tiut
  searchDept | Département recherchée par l'utilisateur

Definition at line 785 of file un.c.

Here is the caller graph for this function:

## afficherListeDepartement()

int afficherListeDepartement | ( | VilleIUT ** | tiut,
|  | int | nbVilles,
|  | char * | searchIUT
| ) |  |

Affiche la liste des différents départements disponible dans une ville recherchée et le nombre de places dans la formation.

Parameters

  tiut | Tableau de pointeur sur la structure VilleIUT
  nbVilles | Nombre de villes dans le tableau tiut
  searchIUT | Ville recherchée par l'utilisateur

Returns
  1 si l'affichage s'est bien déroulé et -1 si la ville recherchée n'existe pas

Definition at line 758 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## afficherListeVilles()

void afficherListeVilles | ( | VilleIUT ** | tiut,
|  | int | nbVilles
| ) |  |

Affiche la liste des villes ayant un IUT.

Parameters

  tiut | Tableau de pointeur sur la structure VilleIUT
  nbVilles | Nombre de villes dans le tableau tiut

Definition at line 744 of file un.c.

Here is the caller graph for this function:

## ajouterDepartement()

ListeDept ajouterDepartement | ( | ListeDept | ldept,
|  | MaillonDept * | dept
| ) |  |

Ajoute un département dans la liste chaînée des départements d'une ville.

Parameters

  ldept | Liste chaînée des départements d'un IUT précis
  dept | Adresse du département à ajouter

Returns
  Retourne la liste des département de la ville (adresse)

Definition at line 834 of file un.c.

Here is the caller graph for this function:

## ajouterVille()

void ajouterVille | ( | VilleIUT *** | tiutPointer,
|  | VilleIUT * | ville,
|  | int * | nbVilles
| ) |  |

BONUS: ajoute l'adresse d'une ville dans le tableau tiut contenue à l'adresse tiutPointer. On passe en paramètre tiutPointer parce que le realloc peut changer l'adresse mémoire du tableau.

Parameters

  tiutPointer | Adresse de la variable contenant le tableau de pointeur sur la structure VilleIUT
  ville | Adresse de la nouvelle ville à ajouter dans le tableau tiut
  nbVilles | Pointeur sur le nombre de villes dans le tableau tiut. On ajoute +1 à la variable.

Definition at line 721 of file un.c.

Here is the caller graph for this function:

## creerDepartement()

MaillonDept * creerDepartement | ( | char * | departement,
|  | int | nbP,
|  | char * | responsable
| ) |  |

Alloue de la memoire de la taille d'une structure MaillonDept avec un malloc.

Parameters

  departement | Nom du nouveau département à créer
  nbP | Nombre de place disponible dans le nouveau département à ajouter
  responsable | Nom du responsable pour le nouveau département

Returns
  Retourne l'adresse du nouveau département

Definition at line 818 of file un.c.

Here is the caller graph for this function:

## creerListeDepartement()

ListeDept creerListeDepartement | ( | void |  | ) |

Créer une liste vide.

Returns
  Retourne NULL

Definition at line 754 of file un.c.

Here is the caller graph for this function:

## creerVille()

VilleIUT * creerVille | ( | void |  | ) |

BONUS: Alloue de la memoire de la taille d'une structure VilleIUT avec un malloc.

Returns
  retourne l'adresse générée par le malloc

Definition at line 708 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## identificationCandidat()

void identificationCandidat | ( | int * | id,
|  | ListeCandidats * | listePointer,
|  | int * | nbCandidats
| ) |  |

Propose à l'utilisateur de se connecter avec son id ou de créer son compte étudiant. Appelle la fonction créerCandidat si l'utilisateur veut s'enregistrer.

Parameters

  id | Passage par adresse de la variable "id"
  listePointer | Adresse de la variable contenant le tableau de pointeur sur la structure candidat
  nbcandidat | Pointeur sur le nombre de candidats dans le fichier candidat.don

Definition at line 19 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## menuAdmin()

void menuAdmin | ( | VilleIUT *** | tiutPointer,
|  | ListeCandidats | liste,
|  | int * | nbVilles,
|  | int | nbCandidats
| ) |  |

Affiche le menu des administrateurs et permet l'appel des fonctions suivant le choix de l'utilisateur.

Parameters

  tiutPointer | Adresse de la variable contenant le tableau de pointeur sur la structure VilleIUT
  listePointer | Adresse de la variable contenant le tableau de pointeur sur la structure Candidat
  nbVilles | Pointeur sur le nombre de villes dans le tableau tiut
  nbcandidat | Pointeur sur le nombre de candidats dans le tableau liste

Definition at line 349 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## menuAdmin_creerDepartement()

void menuAdmin_creerDepartement | ( | VilleIUT ** | tiut,
|  | int | nbVilles
| ) |  |

Fonction permettant à l'utilisateur administrateur de créer un nouveau département.

Parameters

  tiut | Tableau de pointeur sur la structure VilleIUT
  nbVilles | Nombre de villes dans le tableau tiut

Definition at line 597 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## menuAdmin_creerIUT()

void menuAdmin_creerIUT | ( | VilleIUT *** | tiutPointer,
|  | int * | nbVilles
| ) |  |

BONUS: Fonction permettant à l'utilisateur administrateur de créer un nouvel IUT.

Parameters

  tiutPointer | Adresse de la variable contenant le tableau de pointeur sur la structure VilleIUT
  nbVilles | Pointeur sur le nombre de villes dans le tableau tiut

Definition at line 580 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## menuAdmin_modifierPlaces()

void menuAdmin_modifierPlaces | ( | VilleIUT ** | tiut,
|  | int | nbVilles
| ) |  |

Fonction permettant à l'administrateur de changer le nombre de places disponibles dans une formation.

Parameters

  tiut | Tableau de pointeur sur la structure VilleIUT
  nbVilles | Nombre de villes dans le tableau tiut

Definition at line 559 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## menuAdmin_modifierResponsable()

void menuAdmin_modifierResponsable | ( | VilleIUT ** | tiut,
|  | int | nbVilles
| ) |  |

Fonction permettant à l'utilisateur administrateur de modifier le nom d'un responsable d'un département.

Parameters

  tiut | Tableau de pointeur sur la structure VilleIUT
  nbVilles | Nombre de villes dans le tableau tiut

Definition at line 685 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## menuAdmin_supprimerDepartement()

void menuAdmin_supprimerDepartement | ( | VilleIUT ** | tiut,
|  | int | nbVilles
| ) |  |

Fonction permettant à l'utilisateur administrateur de supprimer un département existant.

Parameters

  tiut | Tableau de pointeur sur la structure VilleIUT
  nbVilles | Nombre de villes dans le tableau tiut

Definition at line 653 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## menuCandidat()

void menuCandidat | ( | VilleIUT ** | tiutPointer,
|  | ListeCandidats * | listePointer,
|  | int | nbVilles,
|  | int * | nbCandidats
| ) |  |

Affiche le menu des candidats et permet l'appel des fonctions suivant le choix de l'utilisateur.

Parameters

  tiutPointer | Adresse de la variable contenant le tableau de pointeur sur la structure VilleIUT
  listePointer | Adresse de la variable contenant le tableau de pointeur sur la structure candidat
  nbVilles | Pointeur sur le nombre de villes dans le tableau tiut
  nbcandidat | Pointeur sur le nombre de candidats dans le tableau liste

Definition at line 119 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## menuPrincipal()

void menuPrincipal | ( | void |  | ) |

Affiche le menu principal et permet l'appel des menus candidats/administrateurs/responsables suivant le choix de l'utilisateur.

Definition at line 453 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## menuResponsable()

void menuResponsable | ( | VilleIUT ** | tiut,
|  | ListeCandidats | liste,
|  | int | nbVilles,
|  | int | nbCandidats
| ) |  |

Affiche le menu des responsables et permet l'appel des fonctions suivant le choix de l'utilisateur.

Parameters

  tiutPointer | Adresse de la variable contenant le tableau de pointeur sur la structure VilleIUT
  listePointer | Adresse de la variable contenant le tableau de pointeur sur la structure Candidat
  nbVilles | Pointeur sur le nombre de villes dans le tableau tiut
  nbCandidats | Pointeur sur le nombre de candidats dans le tableau liste

Definition at line 247 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## modifierNbPlaces()

void modifierNbPlaces | ( | VilleIUT ** | tiut,
|  | int | nbVilles,
|  | char * | searchIUT,
|  | char * | searchDept,
|  | int | nb
| ) |  |

Modifie le nombre de place d'une formation.

Parameters

  tiut | Tableau de pointeur sur la structure VilleIUT
  nbVilles | Nombre de villes dans le tableau tiut
  searchDept | Département recherchée par l'utilisateur
  nb | Nouveau nombre de places disponibles pour la formation

Definition at line 878 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## modifierNomResponsable()

void modifierNomResponsable | ( | VilleIUT ** | tiut,
|  | int | nbVilles,
|  | char * | searchIUT,
|  | char * | searchDept,
|  | char * | nom
| ) |  |

Modifie le nom du responsable d'une formation.

Parameters

  tiut | Tableau de pointeur sur la structure VilleIUT
  nbVilles | Nombre de villes dans le tableau tiut
  searchIUT | Ville recherchée par l'utilisateur
  searchDept | Département recherchée par l'utilisateur
  nom | Nom du nouveau responsable pour la formation choisie par l'utilisateur

Definition at line 912 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## readVilles()

VilleIUT ** readVilles | ( | int * | nbVilles | ) |

Lit le fichier binaire ville.bin et retourne le tableau tiut avec les structures de données et les données du fichier dans ce tableau.

Parameters

  nbVilles | Adresse de la variable qui va contenir le nombre de villes dans le fichier binaire villes.bin

Definition at line 996 of file un.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## rechercherVille()

int rechercherVille | ( | VilleIUT ** | tiut,
|  | int | nbVilles,
|  | char * | searchIUT
| ) |  |

Fonction de recherche pour trouver la position de la ville recherchée dans le tableau tiut.

Parameters

  tiut | Tableau de pointeur sur la structure VilleIUT
  nbVilles | Nombre de villes dans le tableau tiut
  searchIUT | Ville recherchée dans le tableau

Returns
  La fonction retourne l'index de la ville recherchée dans le tableau tiut ou -1 si introuvable

Definition at line 735 of file un.c.

Here is the caller graph for this function:

## saveVilles()

void saveVilles | ( | VilleIUT * | tiut[],
|  | int | nbVilles
| ) |  |

Enregistre les modifications apportées aux structures de données dans le fichier binaire ville.bin.

Parameters

  tiut | Tableau de pointeur sur la structure VilleIUT
  nbVilles | Nombre de villes dans le tableau tiut

Definition at line 946 of file un.c.

Here is the caller graph for this function:

## supprimerDepartement()

ListeDept supprimerDepartement | ( | ListeDept | ldept,
|  | char * | searchDept
| ) |  |

Supprime le département dans une ville choisie par l'utilisateur.

Parameters

  ldept | Liste chaînée des départements d'un IUT précis
  searchDept | Département recherchée par l'utilisateur

Returns
  Retourne la nouvelle liste des département pour la ville en question

Definition at line 849 of file un.c.

Here is the caller graph for this function:

## titreMenuPrincipal()

void titreMenuPrincipal | ( | void |  | ) |

Affiche le titre "RECRUTEMENT IUT".

Definition at line 109 of file un.c.

Here is the caller graph for this function: